//=============================================================================
// Binary Dump Print Function
// Copyright(c)1999 Yamamoto Takanori.
//=============================================================================
#include <stdio.h>
#include "dumpprint.h"

void dump_print(const char *buf, long len)
{
  int n;
  unsigned char img[16];
  for(n=0;n<len;n++){
    if(n%16==0){printf("0x%04x : ", n);}
    printf("%02x ",(unsigned char)buf[n]);
    if(n%16==7){printf("- ");}

    if(0x20<=(unsigned char)buf[n] && (unsigned char)buf[n]<=0x7f){
      img[n%16] = (unsigned char)buf[n];
    }else{
      img[n%16] = '.';
    }
    if(n%16==15){
      printf("%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c",
             img[0],img[1],img[2],img[3],img[4],img[5],img[6],img[7],
             img[8],img[9],img[10],img[11],img[12],img[13],img[14],img[15]);
      printf("\n");
    }
  }
  for(n=len;n<((len/16+1)*16);n++){
    img[n%16] = ' ';
    printf("   ");
    if(n%16==7){printf("- ");}
  }

  printf("%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c",
         img[0],img[1],img[2],img[3],img[4],img[5],img[6],img[7],
         img[8],img[9],img[10],img[11],img[12],img[13],img[14],img[15]);
  printf("\n");

  return;
}
