
#include <gtk/gtk.h>
#include <stdio.h>
#include "remotetipo.h"
#include "mystyle.h"


//////////////////////////
// REMOTETIPO_BUTTONBAR //
//////////////////////////

int remotetipo_buttonbar::create(GtkWidget *parent){
  //MKDIR
  button_mkdir=gtk_button_new_with_label("MkDir");
  gtk_widget_set_mystyle(button_mkdir);
//  gtk_widget_show(button_mkdir);
  //DELETE
  button_delete=gtk_button_new_with_label("Delete");
  gtk_widget_set_mystyle(button_delete);
  gtk_widget_show(button_delete);
  //REFRESH
  button_refresh=gtk_button_new_with_label("Refresh");
  gtk_widget_set_mystyle(button_refresh);
  gtk_widget_show(button_refresh);

  //VBOX
  widget = gtk_vbox_new(FALSE, 4);
  gtk_box_pack_start(GTK_BOX(widget), button_mkdir, FALSE, FALSE, 0);
  gtk_box_pack_start(GTK_BOX(widget), button_delete, FALSE, FALSE, 0);
  gtk_box_pack_start(GTK_BOX(widget), button_refresh, FALSE, FALSE, 0);
  gtk_widget_set_mystyle(widget);
  gtk_widget_show(widget);
  return 0;
}

////////////////////////
// REMOTETIPO_LISTBOX //
////////////////////////

int remotetipo_listbox::create(GtkWidget *parent){
  //CLIST
  //static gchar* titles[4] = {"", "ե̾", "", ""};
  static gchar* titles[4] = {"^", "Name", "Size ", "Date"};
  static gchar* samples[4] = {"", "henohenomoheji.txt", "9,999,999", "Wed Jun 30 21:49:08 1993"};

  clist_remotefilelist = gtk_clist_new_with_titles(4, titles);
  gtk_clist_set_shadow_type(GTK_CLIST(clist_remotefilelist),GTK_SHADOW_IN);
  gtk_clist_set_selection_mode(GTK_CLIST(clist_remotefilelist), GTK_SELECTION_EXTENDED);
  gtk_clist_set_row_height(GTK_CLIST(clist_remotefilelist),16);

  int w=0;
  for(int i=0;i<4;i++){
    int t = gdk_string_width(gtk_widget_get_style(parent)->font,samples[i])+20;
    gtk_clist_set_column_width(GTK_CLIST(clist_remotefilelist), i, t); 
    if(i<2){w+=t;}
  }

  gtk_clist_set_column_justification(GTK_CLIST(clist_remotefilelist), 0, GTK_JUSTIFY_CENTER);
  gtk_clist_set_column_justification(GTK_CLIST(clist_remotefilelist), 2, GTK_JUSTIFY_RIGHT);

  gtk_widget_set_mystyle(clist_remotefilelist);
  gtk_widget_show(clist_remotefilelist);

  //SCROLL
  widget = gtk_scrolled_window_new(NULL, NULL);
  gtk_container_add(GTK_CONTAINER(widget), clist_remotefilelist);
  gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(widget), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
  gtk_widget_set_mystyle(widget);
  gtk_widget_set_usize(widget, w+(8*2)+1, 200);
  gtk_widget_show(widget);
  return 0;
}

////////////////
// REMOTETIPO //
////////////////

int remotetipo::create(GtkWidget *parent){
  GtkWidget *hbox;

  //LISTBOX
  listbox.create(parent);

  //BUTTONBAR
  buttonbar.create(parent);

  //HBOX
  hbox = gtk_hbox_new(FALSE, 4);
  gtk_container_set_border_width(GTK_CONTAINER(hbox), 4);
  gtk_box_pack_start(GTK_BOX(hbox), listbox.widget, TRUE, TRUE, 0);
  gtk_box_pack_start(GTK_BOX(hbox), buttonbar.widget, FALSE, FALSE, 0);
  gtk_widget_set_mystyle(hbox);
  gtk_widget_show(hbox);

  //FRAME
  widget = gtk_frame_new("Remote TiPO");
  gtk_container_add(GTK_CONTAINER(widget), hbox);
  gtk_widget_set_mystyle(widget);
  gtk_widget_show(widget);
  return 0;
}


