//=============================================================================
// SII BrainPad(TM) TiPO Communication Class Library
// Copyright(c)1999 Yamamoto Takanori.
//=============================================================================
#ifndef _H_TIPO_
#define _H_TIPO_

#include "serial.h"
#include "termios.h"
#include "ezlist.h"
#include "time.h" // for time_t

class TiPO{
  serial sio;
public:
  TiPO();
  ~TiPO();
  int open(const char *dev="/dev/cuaa0", int bps=B19200);
  int close(void);
  long twstat(void);
  int twlist(ezlist *list); //append items to the exist list structure.
  int twsend(const char *sFileEUC, int flag_twveru=0);
  int twrecv(const char *sFileEUC);
  int twdele(const char *sFileEUC);
  int twvers(void);
  int twveru(const char *sFileEUC);
  int twexit(void);
  int setcallbackfunc_timeout(void (*f)(void));
#if 0
  int fake(void);
#endif
};

// misc functions.
char *mktipotime(time_t t, char *buf);
time_t mkunixtime(const char *buf);
int strncpy_until_wox(char *dest, const char *src, int n, char c);
int istwgood(const char *s);
char *counter_inc(char *counter);
size_t fsize(const char *path);
char *strslash2hyphen(const char *s, char *t);
char *strsjis_limitchrs(char *s, int l);

#endif /* _H_TIPO_ */
